Bug Hunting Session
Bug 51185 - CONFIGURATION: Spell Check Does Not Default To EN-US if EN-NZ is selected languge
Summary: CONFIGURATION: Spell Check Does Not Default To EN-US if EN-NZ is selected lan...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Spell-Checking
  Show dependency treegraph
 
Reported: 2012-06-17 20:22 UTC by Jason Taylor
Modified: 2019-12-03 14:03 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Taylor 2012-06-17 20:22:45 UTC
Problem description: 

Steps to reproduce:
1. Install LO
2. Create new document
3. Misspell a word

Current behavior:
No spell check at all, no error, no obvious fix

Expected behaviour:
Should use best available installed spell check ie at least en-us, or , when click spell check should prompt [no dictionary for this language use [-----------[v]] instead or [click to search LO.org]]

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:13.0) Gecko/20100101 Firefox/13.0


This has confused me every time I install LO on every machine i've installed it on
Comment 1 Juan Canham 2012-12-23 19:04:00 UTC
Confirmed on Version 3.6.2.2 (Build ID: 360m1(Build:2)) on Kubuntu 12.10

More detailed steps to reproduce if you start on a working install
1) Open libreoffice
2) Open "Tools">"Options"
3) Select "Language Settings" > "Languages"
4) Set Default Language for Western documents to something I don't have installed (shown by a lack of tick next to the language)
5) Type a misspelled word
Comment 2 QA Administrators 2015-01-05 17:51:02 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2016-01-17 20:01:50 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2017-03-06 13:43:55 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2019-12-03 14:03:10 UTC
Dear Jason Taylor,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug